org.apache.hadoop.mapreduce.v2.proto

## Interface MRServiceProtos.KillTaskAttemptRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    MRServiceProtos.KillTaskAttemptRequestProto, MRServiceProtos.KillTaskAttemptRequestProto.Builder
  Enclosing class:
    MRServiceProtos

      public static interface MRServiceProtos.KillTaskAttemptRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRProtos.TaskAttemptIdProto` | `getTaskAttemptId()` `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
    `MRProtos.TaskAttemptIdProtoOrBuilder` | `getTaskAttemptIdOrBuilder()` `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
    `boolean` | `hasTaskAttemptId()` `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTaskAttemptId

          boolean hasTaskAttemptId()

      `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`

    - #### getTaskAttemptId

          MRProtos.TaskAttemptIdProto getTaskAttemptId()

      `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`

    - #### getTaskAttemptIdOrBuilder

          MRProtos.TaskAttemptIdProtoOrBuilder getTaskAttemptIdOrBuilder()

      `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.